//
//  TSEmojisColViewModel.swift
//  AIEmoji
//
//  Created by 100Years on 2025/1/19.
//



class TSEmojisColViewModel {

    lazy var emojisTypes: [String] = {
        let titles = ["Cat🐱","Flower💐","Fish🐠","Pink🩷","Fruit🍊","Crystal🔮","Dog🐕","Food🍔","Drink🥤","Universe🌍","Beauty👸"]
        return titles
    }()
    

    lazy var isHiddenBanner: Bool = {
        let hidden = UserDefaults.standard.bool(forKey: "kHiddenBanner")
        return hidden
    }()
    {
        didSet{
            UserDefaults.standard.setValue(isHiddenBanner, forKey: "kHiddenBanner")
            UserDefaults.standard.synchronize()
        }
    }
    
    
}
